package com.jpattern.orm;

import com.jpattern.orm.generator.IGeneratorStrategy;

public class SessionProviderProxy {

	private static ISessionsProvider sessionsProvider;
	private static IGeneratorStrategy generatorStrategy;

	static ISessionsProvider getSessionsProvider() {
		return sessionsProvider;
	}

	public static void setSessionsProvider(ISessionsProvider sessionsProvider, IGeneratorStrategy generatorStrategy) {
		SessionProviderProxy.sessionsProvider = sessionsProvider;
		SessionProviderProxy.generatorStrategy = generatorStrategy;
	}

	static IGeneratorStrategy getGeneratorStrategy() {
		return generatorStrategy;
	}

}
